ru.bitel.bgbilling.modules.tv.access.om

## Class ProductOrderEvent

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent
  - - ru.bitel.bgbilling.modules.tv.access.om.ProductOrderEvent

-     public class ProductOrderEvent
      extends AbstractOrderEvent

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EVENT_TYPE_PRODUCT_MODIFY`

    - ### Fields inherited from class ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent

      `filterByDepends`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProductOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess, Event event, int deviceId, TvAccountRuntime tvAccountRuntime, int eventType, int tvAccountId, TvAccountSpec tvAccountSpec, TvAccount tvAccount, java.util.List<ProductEntry> productEntryList, java.util.Set<java.lang.Integer> oldDeviceOptionIds, java.util.Set<java.lang.Integer> newDeviceOptionIds, int accessCode)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.List<ProductEntry>` | `getFullProductEntryListToEnable()`
    `protected java.util.Map<java.lang.Integer,ProductSpecRuntime>` | `getFullProductSpecRuntimeMapToEnable()`
    `java.util.List<ProductEntry>` | `getProductEntryList()`
    `java.util.Set<ProductSpecRuntime>` | `getProductSpecRuntimeSetToAdd()`
    `java.util.Set<ProductSpecRuntime>` | `getProductSpecRuntimeSetToRemove()`
    `java.util.Set<ProductSpec>` | `getProductSpecSetToAdd()`
    `java.util.Set<ProductSpec>` | `getProductSpecSetToRemove()`
    `java.util.Set<ServiceSpecRuntime>` | `getServiceSpecRuntimeSetToAdd()`
    `java.util.Set<ServiceSpecRuntime>` | `getServiceSpecRuntimeSetToRemove()`
    `java.util.Set<ServiceSpec>` | `getServiceSpecSetToAdd()`
    `java.util.Set<ServiceSpec>` | `getServiceSpecSetToRemove()`
    `TvAccount` | `getTvAccount()`
    `int` | `getTvAccountId()`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.tv.access.om.AbstractOrderEvent

      `filterProductSpecByDepends, getDeviceOptionIdsToDisable, getDeviceOptionIdsToEnable, getDeviceOptionProductSpecSetToDisable, getDeviceOptionProductSpecSetToEnable, getFullProductEntryList, getFullProductSpecRuntimeSetToEnable, getFullProductSpecSetToEnable, getFullServiceSpecRuntimeSetToEnable, getFullServiceSpecSetToEnable, getFullTvChannelSpecSetToEnable, getNewDeviceOptionIds, getNewDeviceOptionProductSpecs, getOldDeviceOptionIds, getOldDeviceOptionProductSpecs, getProductSpecList, getProductSpecRuntimeList, getTvAccountChildren, getTvAccountRuntime, isFilterByDepends, isOptionsModified, setFilterByDepends, setNewDeviceOptionIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_TYPE_PRODUCT_MODIFY

          public static final int EVENT_TYPE_PRODUCT_MODIFY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProductOrderEvent

          public ProductOrderEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess tvAccess,
                                   Event event,
                                   int deviceId,
                                   TvAccountRuntime tvAccountRuntime,
                                   int eventType,
                                   int tvAccountId,
                                   TvAccountSpec tvAccountSpec,
                                   TvAccount tvAccount,
                                   java.util.List<ProductEntry> productEntryList,
                                   java.util.Set<java.lang.Integer> oldDeviceOptionIds,
                                   java.util.Set<java.lang.Integer> newDeviceOptionIds,
                                   int accessCode)

  - ### Method Detail

    - #### getContractId

          public int getContractId()

      Overrides:
        `getContractId` in class `AbstractOrderEvent`

    - #### getTvAccountId

          public int getTvAccountId()

      Overrides:
        `getTvAccountId` in class `AbstractOrderEvent`

    - #### getTvAccount

          public TvAccount getTvAccount()

    - #### getProductEntryList

          public java.util.List<ProductEntry> getProductEntryList()

    - #### getProductSpecRuntimeSetToAdd

          public java.util.Set<ProductSpecRuntime> getProductSpecRuntimeSetToAdd()

    - #### getProductSpecRuntimeSetToRemove

          public java.util.Set<ProductSpecRuntime> getProductSpecRuntimeSetToRemove()

    - #### getProductSpecSetToAdd

          public java.util.Set<ProductSpec> getProductSpecSetToAdd()

    - #### getProductSpecSetToRemove

          public java.util.Set<ProductSpec> getProductSpecSetToRemove()

    - #### getServiceSpecRuntimeSetToAdd

          public java.util.Set<ServiceSpecRuntime> getServiceSpecRuntimeSetToAdd()

    - #### getServiceSpecRuntimeSetToRemove

          public java.util.Set<ServiceSpecRuntime> getServiceSpecRuntimeSetToRemove()

    - #### getServiceSpecSetToAdd

          public java.util.Set<ServiceSpec> getServiceSpecSetToAdd()

    - #### getServiceSpecSetToRemove

          public java.util.Set<ServiceSpec> getServiceSpecSetToRemove()

    - #### getFullProductSpecRuntimeMapToEnable

          protected java.util.Map<java.lang.Integer,ProductSpecRuntime> getFullProductSpecRuntimeMapToEnable()
                                                                                                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFullProductSpecRuntimeMapToEnable` in class `AbstractOrderEvent`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFullProductEntryListToEnable

          public java.util.List<ProductEntry> getFullProductEntryListToEnable()
                                                                       throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFullProductEntryListToEnable` in class `AbstractOrderEvent`
      Throws:
        `ru.bitel.bgbilling.common.BGException`